/* eslint-disable */
import { Injectable } from '@angular/core';
import { HttpClient, HttpParams, HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';

import { SERVER_API_URL } from 'app/app.constants';
import { SearchResultsDTO } from 'app/shared/model/search/search-results-dto.model';
import { SearchInput } from 'app/shared/model/search/search-input.model';
import { Statistics } from 'app/shared/model/statistics.model';

@Injectable({ providedIn: 'root' })
export class SearchService {
  public resourceLike = SERVER_API_URL + 'api/like/';

  constructor(protected http: HttpClient) {}

  likeExercise(exerciseID: string): Observable<Statistics> {
    return this.http.post<number>(this.resourceLike, exerciseID);
  }
}
